Skip to main content
POST
/
v1
/
api-keys
Create API key
curl --request POST \
  --url https://api.framelane.io/v1/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "production"
}
'
{
  "id": "key_01J8QR2K5VKDGN2T4FBM3CZYX9",
  "name": "production",
  "key_prefix": "fl_live_k",
  "created_at": "2023-11-07T05:31:56Z",
  "key": "fl_live_kT9uQw...",
  "last_used_at": "2023-11-07T05:31:56Z",
  "revoked_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Human-readable label for the new API key.

Required string length: 1 - 255
Example:

"production"

Response

Successful Response

Returned once at creation time -- includes the plaintext secret.

id
string
required

Unique API key ID.

Example:

"key_01J8QR2K5VKDGN2T4FBM3CZYX9"

name
string
required

Human-readable label for this key.

Example:

"production"

key_prefix
string
required

First 8 characters of the key, shown for identification.

Example:

"fl_live_k"

created_at
string<date-time>
required

ISO-8601 UTC timestamp when this key was created.

key
string
required

Plaintext API key. Store it securely — this is the only time it is returned.

Example:

"fl_live_kT9uQw..."

last_used_at
string<date-time> | null

ISO-8601 UTC timestamp of the most recent authenticated request.

revoked_at
string<date-time> | null

ISO-8601 UTC timestamp when this key was revoked. Null if still active.